### Method

# GIRepository SignalInfo get_class_closure

since: 2.80

#### Declaration

    GIVFuncInfo*
    gi_signal_info_get_class_closure (
      GISignalInfo* info
    )

#### Description

Obtain the class closure for this signal if one is set.

The class closure is a virtual function on the type that the signal belongs to. If the signal lacks a closure, `NULL` will be returned.

Available since: 2.80

#### Return value

Type: `GIVFuncInfo`

The class closure, or `NULL` if none is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.